Loading...
Searching...
No Matches
aesni.h File Reference

AES-NI for hardware AES acceleration on some Intel processors. More...

`#include "mbedtls/config.h"`
`#include "mbedtls/aes.h"`
Include dependency graph for aesni.h:

Go to the source code of this file.

## Macros

#define | MBEDTLS_AESNI_AES 0x02000000u
#define | MBEDTLS_AESNI_CLMUL 0x00000002u

## Detailed Description

AES-NI for hardware AES acceleration on some Intel processors.

Warning
  These functions are only for internal use by other library functions; you must not call them directly.

Definition in file aesni.h.

## Macro Definition Documentation

## MBEDTLS_AESNI_AES

#define MBEDTLS_AESNI_AES 0x02000000u

Definition at line 24 of file aesni.h.

## MBEDTLS_AESNI_CLMUL

#define MBEDTLS_AESNI_CLMUL 0x00000002u

Definition at line 25 of file aesni.h.